## EvPageActionWidget EvPageActionWidget |

## Synopsis

    #define             EV_TYPE_PAGE_ACTION_WIDGET
    #define             EV_PAGE_ACTION_WIDGET               (obj)
                        EvPageActionWidget;
    GType               ev_page_action_widget_get_type      (void);
    void                ev_page_action_widget_update_model  (EvPageActionWidget *proxy,
                                                             GtkTreeModel *model);
    void                ev_page_action_widget_set_page_cache
                                                            (EvPageActionWidget *action_widget,
                                                             EvPageCache *page_cache);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkToolItem
                                           +----EvPageActionWidget

## Implemented Interfaces

EvPageActionWidget implements GtkBuildable and AtkImplementorIface.

## Signals

      "activate-link"                                  : Run Last / Action
      "activate-link"                                  : Run Last / Action

## Description

## Details

### EV_TYPE_PAGE_ACTION_WIDGET

    #define EV_TYPE_PAGE_ACTION_WIDGET (ev_page_action_widget_get_type ())

### EV_PAGE_ACTION_WIDGET()

    #define EV_PAGE_ACTION_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), EV_TYPE_PAGE_ACTION_WIDGET, EvPageActionWidget))

`obj` : |

### EvPageActionWidget

    typedef struct _EvPageActionWidget EvPageActionWidget;

### ev_page_action_widget_get_type ()

    GType               ev_page_action_widget_get_type      (void);

Returns : |

### ev_page_action_widget_update_model ()

    void                ev_page_action_widget_update_model  (EvPageActionWidget *proxy,
                                                             GtkTreeModel *model);

`proxy` : |
`model` : |

### ev_page_action_widget_set_page_cache ()

    void                ev_page_action_widget_set_page_cache
                                                            (EvPageActionWidget *action_widget,
                                                             EvPageCache *page_cache);

`action_widget` : |
`page_cache` : |

## Signal Details

### The "activate-link" signal

    void                user_function                      (EvPageActionWidget *evpageactionwidget,
                                                            GObject            *arg1,
                                                            gpointer            user_data)               : Run Last / Action

`evpageactionwidget` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "activate-link" signal

    void                user_function                      (EvPageActionWidget *evpageactionwidget,
                                                            GObject            *arg1,
                                                            gpointer            user_data)               : Run Last / Action

`evpageactionwidget` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.